package com.hcst.youteng.config;

import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * Created by JQ.bi on 2020.8.28
 */
@Configuration
public class WebConfig implements WebMvcConfigurer {

    @Override
    public void addCorsMappings(CorsRegistry registry) {
        CorsRegistration corsRegistration = registry.addMapping("/**");
        corsRegistration.allowedOrigins("*");
        corsRegistration.allowedHeaders("*");
        corsRegistration.allowedMethods("OPTIONS", "POST", "GET", "PUT", "DELETE");
        corsRegistration.allowCredentials(true).maxAge(3600);
    }
}
