package com.hcst.youteng.utils;

import java.util.Random;

/**
 * Created by JQ.bi on 2020.8.28
 */
public class AuthCodeUtil {

    private static final Integer[] NUMBERS = {0, 1, 2, 3, 5, 6, 7, 8, 9, 6, 6, 8, 8, 9, 9};
    private static final Random random = new Random();

    //获取6位验证码
    public static String getRandomCode() {
        StringBuilder code = new StringBuilder();
        for (int i = 0; i < 4; i++) {
            int num = NUMBERS[random.nextInt(NUMBERS.length)];
            while (i == 0 && num == 0) {
                num = NUMBERS[random.nextInt(NUMBERS.length)];
            }
            code.append(num);
        }
        return code.toString();
    }

}
